NotificationPreference (gCube Notifications Portlet 1.0.0-2.17.0 API)
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.notifications.shared
Class NotificationPreference

    java.lang.Object
      org.gcube.portlets.user.notifications.shared.NotificationPreference

All Implemented Interfaces:
  Serializable, Comparable<NotificationPreference>

    public class NotificationPreference

extends Object
implements Serializable, Comparable<NotificationPreference>

Author:
  Massimiliano Assante, CNR-ISTI This class represent a notification preference with its type (allowing associating a label and a description) and the channels selected by the user for this type
See Also:
  Serialized Form

Constructor Summary
`NotificationPreference()`
`NotificationPreference(org.gcube.portal.databook.shared.NotificationType type, String typeLabel, String typeDesc, org.gcube.portal.databook.shared.NotificationChannelType[] selectedChannels)`

Method Summary
`int` | `compareTo(NotificationPreference o)`
`org.gcube.portal.databook.shared.NotificationChannelType[]` | `getSelectedChannels()`
`org.gcube.portal.databook.shared.NotificationType` | `getType()`
`String` | `getTypeDesc()`
`String` | `getTypeLabel()`
`void` | `setSelectedChannels(org.gcube.portal.databook.shared.NotificationChannelType[] selectedChannels)`
`void` | `setType(org.gcube.portal.databook.shared.NotificationType type)`
`void` | `setTypeDesc(String typeDesc)`
`void` | `setTypeLabel(String typeLabel)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationPreference

    public NotificationPreference()

### NotificationPreference

    public NotificationPreference(org.gcube.portal.databook.shared.NotificationType type,
                                  String typeLabel,
                                  String typeDesc,
                                  org.gcube.portal.databook.shared.NotificationChannelType[] selectedChannels)

Method Detail

### getSelectedChannels

    public org.gcube.portal.databook.shared.NotificationChannelType[] getSelectedChannels()

### setSelectedChannels

    public void setSelectedChannels(org.gcube.portal.databook.shared.NotificationChannelType[] selectedChannels)

### getType

    public org.gcube.portal.databook.shared.NotificationType getType()

### setType

    public void setType(org.gcube.portal.databook.shared.NotificationType type)

### getTypeLabel

    public String getTypeLabel()

### setTypeLabel

    public void setTypeLabel(String typeLabel)

### getTypeDesc

    public String getTypeDesc()

### setTypeDesc

    public void setTypeDesc(String typeDesc)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(NotificationPreference o)

  Specified by:
    `compareTo` in interface `Comparable<NotificationPreference>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.